<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>

				<p><?php _e("This post is password protected. Enter the password to view comments."); ?><p>

				<?php
				return;
            }
        }

		/* This variable is for alternating comment background, thanks Kubrick */
		$oddcomment = 'alt';
?>

<!-- You can start editing here. -->

	<div class="cmt-form">
	<p class="cmt-info">
		<?php _e('You may '); ?>
		<?php if ( comments_open() ) : ?><a href="#postcomment" title="<?php _e('Jump to the comments form'); ?>"><?php _e('Leave a comment'); ?></a><?php _e(' or '); ?><?php endif; ?><?php comments_rss_link(__('Subscribe to Comments RSS')); ?><?php if ( pings_open() ) : ?><?php _e(' or '); ?><a title="Trackback URI" href="<?php trackback_url() ?>" rel="trackback"><?php _e('Trackback this entry'); ?></a><?php endif; ?><?php _e('.'); ?>
	</p>
	</div>

<?php if ($comments) : ?>

	<div class="cmt-form">
	<h2 id="comments">
		<?php comments_number(__('No comments <span>so far</span>'), __('1 comment <span>so far</span>'), __('% comments <span>so far</span>')); ?>
	</h2>
	</div>

	<ol id="commentlist">

	<?php foreach ($comments as $comment) : ?>

		<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">

			<div class="cmt-meta">
				<span class="cmt-author"><?php comment_author_link() ?></span>
				<span class="cmt-date"><?php comment_date('F j, Y') ?></span>
				<span class="cmt-time">
					<a href="#comment-<?php comment_ID() ?>"><?php comment_time() ?></a>
					<?php edit_comment_link(__("Edit"), ' &#183; ', ''); ?>
				</span>
			</div>

			<div class="cmt-main">
				<?php if (function_exists('gravatar')) { ?>
					<img class="cmt-gravatar" src="<?php gravatar('X', '32', get_bloginfo('template_url')."/images/default_32.gif"); ?>" alt="<?php //_e('Gravatar'); ?>" />
				<?php } ?>

				<div class="cmt-text">
					<?php comment_text() ?>
				</div>
			</div>

		</li>

		<?php
			if ('alt' == $oddcomment) $oddcomment = '';
			else $oddcomment = 'alt';
		?>

	<?php endforeach; /* end for each comment */ ?>

	</ol>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post-> comment_status) : ?>
		<?php /* No comments yet */ ?>

	<?php else : // comments are closed ?>
		<?php /* Comments are closed */ ?>
		<p><?php _e('Comments are closed.'); ?></p>

	<?php endif; ?>

<?php endif; ?>

<?php if ('open' == $post-> comment_status) : ?>

<div class="cmt-form">

	<h2 id="postcomment"><?php _e('Leave <span>a comment</span>'); ?></h2>

	<p class="cmt-info">
		<?php _e('Please be polite and on topic. Your e-mail will never be published.'); ?>
	</p>

	<?php if ( get_option('comment_registration') && !$user_ID ) : ?>

		<p>
			<?php _e('You must be '); ?><a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('logged in'); ?></a><?php _e(' to post a comment.'); ?>
		</p>

	<?php else : ?>

		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

		<?php if ( $user_ID ) : ?>

			<p>
				<?php _e('Logged in as '); ?><a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a><?php _e('. '); ?>
				<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>"><?php _e('Logout'); ?> <?php _e('&raquo;'); ?></a>
			</p>

		<?php else : ?>

			<p>
			<label for="author"><?php _e('Name:'); ?><?php //if ($req) _e(' (required)'); ?></label>
			<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" tabindex="1" />
			</p>

			<p>
			<label for="email"><?php _e('E-mail:'); ?><?php //if ($req) _e(' (required)'); ?></label>
			<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" tabindex="2" />
			</p>

			<p>
			<label for="url"><?php _e('Website:'); ?></label>
			<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" tabindex="3" />
			</p>

		<?php endif; ?>

		<p>
			<label for="comment"><?php _e('Comment:'); ?></label>
			<textarea name="comment" id="comment" cols="" rows="" tabindex="4"></textarea>
		</p>

		<p>
			<input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('SAY IT!'); ?>" />
			<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
		</p>

		<?php do_action('comment_form', $post->ID); ?>

		</form>

	<?php endif; // If registration required and not logged in ?>

</div>

<?php endif; // if you delete this the sky will fall on your head ?>
