<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />


	<title><?php wp_title(''); if (function_exists('is_tag') and is_tag()) { ?><?php _e('Tag Archive for '); ?><?php echo $tag; } if (is_archive()) { ?><?php _e(' Archive'); ?><?php } elseif (is_search()) { ?><?php _e(' Search for '); ?><?php echo $s; } if ( !(is_404()) and (is_search()) or (is_single()) or (is_page()) or (function_exists('is_tag') and is_tag()) or (is_archive()) ) { ?><?php _e(' at '); ?><?php } ?><?php bloginfo('name'); ?></title>

	<style type="text/css" media="screen">
		@import url( <?php bloginfo('stylesheet_url'); ?> );
	</style>

	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />

	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php wp_get_archives('type=monthly&format=link'); ?>
	<?php wp_head(); ?>

</head>

<body>

<div id="wrapper">

<div id="header">

	
	<div id="nav">
		<ul class="navmenu">
			<li class="<?php if ( is_home() or is_archive() or is_single() or is_paged() or is_search() or (function_exists('is_tag') and is_tag()) ) { ?>current_page_item<?php } else { ?>page_item<?php } ?>"><a href="<?php echo get_settings('home'); ?>"><?php _e('Home'); ?></a></li>
			<?php wp_list_pages('sort_column=id&depth=1&title_li='); ?>
			<?php wp_register('<li>','</li>'); ?>
		</ul>
	</div>
	<div class="title">
		<a href="<?php bloginfo('home'); ?>"><?php bloginfo('name'); ?></a>
		<!-- img class="logo" src="<?php bloginfo('template_url'); ?>/images/logo.gif" alt="" / -->
	</div>
	<div class="search">
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>
	</div>
</div><!-- End of #header -->

<div id="content">